#include "Helper.h"

STRING Helper::int2str(int num)
{
	STRING temp;

	if(num <= 0)
		return "0";

	for(;num != 0; num /= 10)
		temp += '0' + num - ((num / 10) * 10);

	STRING retval;

	for(int i = temp.size() - 1; i >= 0; i--)
		retval += temp[i];

	return retval;
}

int Helper::str2int(STRING num)
{
	int retval = 0;

	for(int i = num.size() - 1;i >= 0 ; i--)
	{
		if(num[i] > '9' || num[i] < '0')
			return 0;
			
		retval *= 10;
		retval += num[i] - '0';
	}

	return retval;
}

void Helper::logger(STRING forlog)
{
	log << forlog << ENDL;
}

bool Helper::ifFileExist(STRING path)
{
	IFSTREAM inp;
	inp.open(path.c_str(), IFSTREAM::in);
	inp.close();
	
	if(inp.fail())
		return false;
	
	return true;
}

