#ifndef HELPER_H
#define HELPER_H

#include <string>
#include <iostream>
#include <fstream>

#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define STRING		std::string
#define CIN			std::cin
#define COUT		std::cout
#define ENDL		std::endl
#define OFSTREAM	std::ofstream
#define IFSTREAM	std::ifstream
#define IOS			std::ios

class Helper{
public:
	Helper(STRING file) {log.open(file.c_str());};
	~Helper(){log.close();};
	
	static STRING int2str(int num);
	static int str2int(STRING);
	static bool ifFileExist(STRING path);

	void logger(STRING forlog);
private:
	OFSTREAM log;
};

#endif // HELPER_H
